using Ninject.Extensions.ChildKernel;
using VisionBuilder.UI.Common;

namespace VisionBuilder.UI.Statistics;

public static class ModuleExtensions
{
    public static IChildKernel UseStatistics(this IChildKernel self, string cameraName)
    {
        self.Bind<VisionBuilderStatisticsSettings, ISettings>().ToConstant(new VisionBuilderStatisticsSettings(cameraName));
        self.RegisterModule<VisionBuilderStatistics>();
        return self;
    }
}